curl --request POST \
--url https://api.uat.accessrc.org/api/Delivery/Sync \
--header 'Content-Type: application/json-patch+json' \
--header 'x-api-key: <api-key>' \
--data '
{
"deliveryList": [
{
"providerDeliveryId": "e05b049a-a93a-4b04-af96-5824e0af6684",
"deliveryId": null,
"deliveryAmount": 150,
"deliveryUnit": "EUR",
"deliveryVoucherSerialNo": "",
"deliveryReferenceNo": "66021926",
"status": "DELIVERY_REVERTED",
"providerStatus": "Refund"
},
{
"providerDeliveryId": "8a2b16e7-f074-4433-8ef2-ac8d913249f0",
"deliveryId": null,
"deliveryAmount": 200,
"deliveryUnit": "EUR",
"deliveryVoucherSerialNo": "",
"deliveryReferenceNo": "55423654",
"status": "DELIVERY_PENDING",
"providerStatus": "Pending"
}
]
}
'{
"error": null,
"data": {
"message": "Deliveries are synced successfully",
"date": "2025-04-04T14:07:49Z"
},
"status": "success"
}{
"error": {
"guid": "95bd740b-755b-4f95-8549-fa9acfc31a41",
"code": 400,
"type": "ValidationError",
"message": "Invalid request body format. Please check your request format from AccessRC API specifications.",
"title": "Invalid Request Body"
},
"data": null,
"status": "failed"
}{
"error": {
"guid": "2c77f4b6-6ff8-4017-8bb8-1d7a5c8e01f3",
"code": 401,
"type": "Unauthorized",
"message": null,
"title": "API Key is missing"
},
"data": null,
"status": "failed"
}{
"error": {
"guid": "2c77f4b6-6ff8-4017-8bb8-1d7a5c8e01f3",
"code": 500,
"type": "Exception",
"message": null,
"title": "Internal Server Error"
},
"data": null,
"status": "failed"
}Delivery Request
Sync Delivery
POST
/
api
/
Delivery
/
Sync
curl --request POST \
--url https://api.uat.accessrc.org/api/Delivery/Sync \
--header 'Content-Type: application/json-patch+json' \
--header 'x-api-key: <api-key>' \
--data '
{
"deliveryList": [
{
"providerDeliveryId": "e05b049a-a93a-4b04-af96-5824e0af6684",
"deliveryId": null,
"deliveryAmount": 150,
"deliveryUnit": "EUR",
"deliveryVoucherSerialNo": "",
"deliveryReferenceNo": "66021926",
"status": "DELIVERY_REVERTED",
"providerStatus": "Refund"
},
{
"providerDeliveryId": "8a2b16e7-f074-4433-8ef2-ac8d913249f0",
"deliveryId": null,
"deliveryAmount": 200,
"deliveryUnit": "EUR",
"deliveryVoucherSerialNo": "",
"deliveryReferenceNo": "55423654",
"status": "DELIVERY_PENDING",
"providerStatus": "Pending"
}
]
}
'{
"error": null,
"data": {
"message": "Deliveries are synced successfully",
"date": "2025-04-04T14:07:49Z"
},
"status": "success"
}{
"error": {
"guid": "95bd740b-755b-4f95-8549-fa9acfc31a41",
"code": 400,
"type": "ValidationError",
"message": "Invalid request body format. Please check your request format from AccessRC API specifications.",
"title": "Invalid Request Body"
},
"data": null,
"status": "failed"
}{
"error": {
"guid": "2c77f4b6-6ff8-4017-8bb8-1d7a5c8e01f3",
"code": 401,
"type": "Unauthorized",
"message": null,
"title": "API Key is missing"
},
"data": null,
"status": "failed"
}{
"error": {
"guid": "2c77f4b6-6ff8-4017-8bb8-1d7a5c8e01f3",
"code": 500,
"type": "Exception",
"message": null,
"title": "Internal Server Error"
},
"data": null,
"status": "failed"
}- This endpoint helps Service Provider to map AccessRC delivery with own delivery.
- deliveryId is only required when providerDeliveryId and deliveryId aren’t mapped within /api/DeliveryRequest/Sync method. If they are already mapped this field can either be missing from the body, can be empty (“deliveryId:"""), or can be null (“deliveryId:null”)
- DELIVERY_READY_TO_COLLECT -> Beneficiary can collect delivery or cash from a Cash pick-up location
- DELIVERY_COLLECTED -> Beneficiary collected delivery or cash is delivered via iban
- DELIVERY_PENDING -> Wait step which delivery provider ensures that delivery is collected
- DELIVERY_REVERTED -> Delivery or cash is reverted
- DELIVERED -> Delivery request is committed to the delivery provider
- FAILED -> Delivery could not be completed by the provider
